(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     57810,       1456]
NotebookOptionsPosition[     56608,       1420]
NotebookOutlinePosition[     57072,       1438]
CellTagsIndexPosition[     57029,       1435]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 ExpressionUUID -> "39655859-e09d-422a-9b09-2997ce0ce555"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "charakteeristicky", " ", "rozme", " ", "po", " ", "proudeni", " ", "v",
        " ", "komine"}], ",", " ", 
      RowBox[{"tedy", " ", "uvnitr", " ", "radiatoru", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"to", " ", "je", " ", "tam"}], ",", " ", 
         RowBox[{
         "kde", " ", "to", " ", "vubec", " ", "neni", " ", "adiator"}], ",", 
         " ", 
         RowBox[{"ale", " ", 
          RowBox[{"konvektor", ":", "-"}]}]}]}]}]}], "]"}], ")"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DcharIn", "=", 
    RowBox[{"2.5", "cm"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"vyska", " ", "radiatoru"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", "1."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xmax", "=", "Dchar"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"sirka", " ", "radiatoru"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sirka", "=", "1.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "=", "9.81"}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"hustota", " ", "vzduchu"}], ",", " ", 
    RowBox[{
    "uvazujeme", " ", "ze", " ", "je", " ", "to", " ", "v", " ", "tomhle", 
     " ", "smyslu", " ", "idealni", " ", "plyn"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Rho]A", "[", "T_", "]"}], ":=", 
    FractionBox["349.", 
     RowBox[{"T", "+", "273.15"}]]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pripravim", " ", "si", " ", "salani"}], ",", " ", "emisivitu", 
    ",", " ", 
    RowBox[{"Stefan", "-", 
     RowBox[{
     "Boltzmannovu", " ", "konstantu", " ", "a", " ", "vzoec", " ", "po", " ",
       "salavy", " ", "tok", " ", 
      RowBox[{"(", 
       RowBox[{"W", "/", 
        SuperscriptBox["m", "2"]}], ")"}]}]}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.85"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"5.67", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "8"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"qr", "[", 
    RowBox[{"Todkud_", ",", "Tkam_"}], "]"}], ":=", 
   RowBox[{"\[Epsilon]", "*", "\[Sigma]", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Todkud", "+", "273.15"}], ")"}], "4"], "-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Tkam", "+", "273.15"}], ")"}], "4"]}], ")"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7748442871451206`*^9, 3.7748442878793*^9}, {
   3.774844354113748*^9, 3.7748443740153236`*^9}, {3.7748444156930304`*^9, 
   3.7748444173644924`*^9}, {3.774844480896474*^9, 3.7748444820212107`*^9}, {
   3.774844855355418*^9, 3.7748449188248854`*^9}, {3.7748450008837433`*^9, 
   3.774845001571056*^9}, {3.77495919715625*^9, 3.77495919921875*^9}, 
   3.774959353484375*^9, 3.775120461390625*^9, {3.775121607234375*^9, 
   3.77512162778125*^9}, 3.775121938703125*^9, {3.775121996953125*^9, 
   3.7751221731875*^9}, {3.775122293484375*^9, 3.775122401*^9}, {
   3.77512274975*^9, 3.775122750203125*^9}, 3.775123485703125*^9, {
   3.7751942241292753`*^9, 3.7751942503048296`*^9}, {3.7752011075430303`*^9, 
   3.775201112916771*^9}, {3.7752020177042875`*^9, 3.775202020328679*^9}},
 ExpressionUUID -> "4c495cc8-5e1d-45f4-8825-9ee2b3f54e21"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pouziju", " ", "data", " ", "z", " ", "predchozich", " ", "notebooku"}], 
    ",", " ", 
    RowBox[{
    "pro", " ", "clanek", " ", "by", " ", "se", " ", "ale", " ", "pouzily", 
     " ", "asi", " ", "puvodni", " ", "slozitosti"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"struct", "=", 
     RowBox[{"<<", "\"\<struct\>\""}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"popis", "=", 
     RowBox[{"struct", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"dataAlfaExt", " ", "obsahuji", " ", "trojice", " ", 
     RowBox[{"{", 
      RowBox[{"TstenaRadiatoru", ",", "TairIn", ",", "\[Alpha]Ext"}], "}"}]}],
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dataAlfaExt", ",", 
       RowBox[{"\[Nu]", "[", "T_", "]"}], ",", 
       RowBox[{"\[Lambda]", "[", "T_", "]"}]}], "}"}], "=", 
     RowBox[{"struct", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7751216815*^9, 3.77512186234375*^9}, {
   3.7751219601875*^9, 3.7751219794375*^9}, 3.775122409890625*^9, {
   3.7751224658125*^9, 3.775122507359375*^9}},
 ExpressionUUID -> "291f427e-55f5-4da2-a8fa-03dc6a83a37d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"uvazuju", " ", "Graetz"}], "-", 
     RowBox[{"Nuseeltuv", " ", "efekt"}]}], ",", " ", 
    RowBox[{
    "to", " ", "je", " ", "to", " ", "jak", " ", "imale", " ", "proudeni", 
     " ", "zvysi", " ", "alfu"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NuIn", "=", 
     StyleBox["4.36",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"nutno", " ", "dohledat"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]In", "[", 
      RowBox[{"T1_", ",", "T2_"}], "]"}], ":=", 
     FractionBox[
      RowBox[{"NuIn", "*", 
       RowBox[{"\[Lambda]", "[", 
        RowBox[{"0.5", "*", 
         RowBox[{"(", 
          RowBox[{"T1", "+", "T2"}], ")"}]}], "]"}]}], "DcharIn"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]In", "[", 
     RowBox[{"50", ",", "20"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Ext", "=", 
     RowBox[{"Interpolation", "[", "dataAlfaExt", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.77512252215625*^9, 3.775122524703125*^9}, {
  3.7751225851875*^9, 3.775122755578125*^9}, {3.775122789140625*^9, 
  3.775122789625*^9}, {3.7751995797334595`*^9, 3.7751996082537107`*^9}, {
  3.775202848218401*^9, 3.775202848280877*^9}},
 ExpressionUUID -> "8305d67a-45ab-4bb3-bbad-1a8eee0e0859"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vnejsi", " ", "povrch", " ", "radiatoru", " ", "je", " ", "mensi", " ", 
     "nez", " ", "vnitrni", " ", "povrch"}], ",", " ", 
    RowBox[{
    "oznacim", " ", "SvnejsiKuSVnitrni", " ", "prislusny", " ", "pomer"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SvnejsiKuSVnitrni", "=", 
     StyleBox["0.15",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.77512280221875*^9, 3.7751229229375*^9}, {
  3.775202864183403*^9, 3.7752028863032074`*^9}},
 ExpressionUUID -> "2aeea783-4af5-4c2d-9a24-acc02f40b76b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"paramety", " ", "vody", " ", "a", " ", "vzduchu"}], ",", " ", 
    "zjednodudene"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"cpA", "=", "1025."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cpW", "=", "4188.5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]W", "=", "1000."}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.775123382828125*^9, 3.775123465921875*^9}},
 ExpressionUUID -> "744da1e2-8fe8-4541-8861-36bed7c7cd76"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "prutok", " ", "vody", " ", "vyjdeme", " ", "z", " ", 
    "nominalnich", " ", "udaju", " ", "o", " ", "radiatoru"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Pnom", "=", "1000."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]Tnom", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mSteckouW", "=", 
     RowBox[{"mstw", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"Pnom", "==", 
         RowBox[{"\[CapitalDelta]Tnom", "*", "cpW", "*", "mstw"}]}], "]"}], 
       "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TinW", "=", 
     StyleBox["15",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tokoli", "=", 
     StyleBox["30",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"prurez", " ", "kterym", " ", "proudi", " ", "vzduch"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SkolmyVzduch", "=", 
     RowBox[{"sirka", "*", 
      StyleBox["0.1",
       FontColor->RGBColor[1, 0, 0]]}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.775192871200946*^9, 3.775192934514165*^9}, {
   3.775193407200036*^9, 3.7751934234306355`*^9}, {3.77519350008451*^9, 
   3.775193542746366*^9}, {3.775201064146971*^9, 3.7752010711765714`*^9}, {
   3.775201124710873*^9, 3.7752011351771655`*^9}, {3.7752033317298555`*^9, 
   3.7752033502098937`*^9}, {3.7752037252468204`*^9, 3.775203740243298*^9}, 
   3.775286861244812*^9, {3.775287318996552*^9, 3.7752873242921834`*^9}, {
   3.775481445203125*^9, 3.7754814495*^9}, {3.7754814820625*^9, 
   3.775481482890625*^9}},
 ExpressionUUID -> "cba87a2d-36eb-4a50-8d91-d902a4d931a5"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"No", "..."}], " ", "a", " ", "ted", " ", "jako", " ", 
            "jesitni", " ", "samecci", " ", "musime", " ", "zkusit", " ", 
            "trik"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
             "co", " ", "nam", " ", "usnadni", " ", "mysleni", " ", "a", " ", 
              "praci"}], "..."}], " ", "takze", " ", "zkusime", " ", 
            "sejdirske", " ", "\"\<termodynamicko-logicke\>\"", " ", 
            RowBox[{"uvahy", ":", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", " ", "diferencialni"}], " ", "rovnice", " ", 
              "nemaji", " ", "zadny", " ", "predpoklad", " ", "znamenek", " ",
               "jejich", " ", "clenu"}]}]}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"mely", " ", "by", " ", "zustat", " ", "stejne"}], 
             "..."}], " ", "sice", " ", "jsem", " ", "je", " ", "odvozoval", 
            " ", "pro", " ", "nejaky", " ", "smer", " ", "tepelnych", " ", 
            "toku"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
             "ale", " ", "to", " ", "jen", " ", "ze", " ", "se", " ", "mi", 
              " ", "tak", " ", "lepe", " ", "delaji", " ", "znamenka"}], 
             "..."}], " ", "ale", " ", "prirode", " ", "by", " ", "to", 
            RowBox[{"(", 
             RowBox[{"v", " ", "konvencnim", " ", 
              RowBox[{"modelu", ":", "-"}]}], ")"}]}]}], ")"}], " ", "melo", 
         " ", "byt", " ", "jedno"}], ",", " ", 
        RowBox[{
         RowBox[{
         "jestli", " ", "si", " ", "Kyncl", " ", "predsstavuje", " ", "ze", 
          " ", "voda", " ", "tece", " ", "dolu", " ", "nebo", " ", "nahoru"}],
          "..."}]}], ")"}], "\[IndentingNewLine]", "..."}], "ale", " ", 
     "PAAMETRY", " ", "v", " ", "rovnicich", " ", "ano"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"tedy", " ", "u", " ", "nas", " ", "mSteckou"}], "..."}], " ", 
     "\[IndentingNewLine]", 
     RowBox[{"2", "/", " ", "Tudiz"}], " ", "by", " ", "se", " ", "zmenena", 
     " ", "situace", " ", "mela", " ", "objevit", " ", "v", " ", 
     RowBox[{"OKRAJOVYCH", "/", "POCATECNICH"}], " ", "podminkach"}], ",", 
    " ", 
    RowBox[{"ve", " ", "VYHODNOCENI", " ", "vysledku"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"ale", " ", "NE", " ", "v", " ", 
       RowBox[{"ROVNICICH", "!"}]}], "..."}], " ", "tedy", " ", "pro", " ", 
     "teplotni", " ", 
     RowBox[{"pole", ".", " ", "U"}], " ", "tlaku", " ", "mame", " ", "jen", 
     " ", "jedno", " ", "znamenko", " ", 
     RowBox[{"(", 
      RowBox[{"v", " ", "nasem", " ", "kocarovskem", " ", "poisu"}], ")"}]}], 
    ",", " ", 
    RowBox[{
    "tlakova", " ", "ztrata", " ", "je", " ", "\"\<pozitivne definitni\>\""}],
     ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
          "jde", " ", "jen", " ", "o", " ", "znamenko", " ", "rychlosti"}], 
          "..."}], " ", "musime", " ", "poprehazet", " ", 
         "\"\<zuzeni/rozsireni\>\"", " ", "a", " ", "teploty", " ", 
         RowBox[{"atd", ".", " ", "protore"}], " ", "vzdyuch", " ", "tece", 
         " ", "opacnym", " ", "smerem", " ", "kdyze", " ", "se", " ", 
         "chladi", " ", "a", " ", "klesa", " ", "a", " ", "neohiva", " ", "a",
          " ", "nestoupa"}], "..."}], " ", "ale", " ", "fyzika", " ", 
       "vlastnich", " ", "rovnic", " ", "pohybu"}], "..."}], " ", "te", " ", 
     "by", " ", "melo", " ", "byt", " ", "jedno"}], ",", " ", 
    RowBox[{"jestli", " ", "neco", " ", "stoupa"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"nebo", " ", "klesa"}], "..."}], " ", "ma", " ", "byt", " ", 
     "jedna", " ", "fyzika", " ", "pro", " ", "kozdu", " ", "z", " ", "kopce",
      " ", "i", " ", "do", " ", 
     RowBox[{"kopce", ":", "-"}]}]}], ")"}], "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.7751940908575525`*^9, 3.775194195755411*^9}, {
   3.7751997644666023`*^9, 3.7752000628411627`*^9}, {3.775200132328938*^9, 
   3.775200196949921*^9}, {3.775200985462324*^9, 3.7752011878678856`*^9}, {
   3.775201929303141*^9, 3.7752019978183064`*^9}, {3.7752020675675535`*^9, 
   3.7752022271707277`*^9}, {3.775202277518248*^9, 3.7752022842198267`*^9}, {
   3.775202321195491*^9, 3.7752023976150446`*^9}, {3.775202439183408*^9, 
   3.775202443338683*^9}, {3.7752024958732204`*^9, 3.7752025011532307`*^9}, {
   3.7752026060660944`*^9, 3.775202611674152*^9}, {3.7752029012215796`*^9, 
   3.7752030455470285`*^9}, {3.7752030759774246`*^9, 
   3.7752031134217467`*^9}, {3.7752031665655065`*^9, 3.775203248249428*^9}, {
   3.7752032953321533`*^9, 3.7752033106097836`*^9}, {3.775203364737719*^9, 
   3.775203506423175*^9}, {3.7752035527404556`*^9, 3.7752037027989335`*^9}, {
   3.775204837657463*^9, 3.775204877366888*^9}, 3.7752061781395097`*^9, {
   3.7752063542856493`*^9, 3.7752063728282022`*^9}, {3.7752790377538958`*^9, 
   3.7752790566244693`*^9}, {3.7752798428617277`*^9, 
   3.7752798435490217`*^9}, {3.775283766976465*^9, 3.7752838739784164`*^9}, 
   3.775286871148703*^9, {3.7752874108030853`*^9, 3.7752874333134317`*^9}, {
   3.775287599055774*^9, 3.775287630892042*^9}, {3.7754776646875*^9, 
   3.77547766840625*^9}, {3.775477765921875*^9, 3.775477768671875*^9}, {
   3.77547968096875*^9, 3.775479752*^9}, {3.7754797929375*^9, 
   3.775480470734375*^9}, {3.775480618890625*^9, 3.77548065315625*^9}, {
   3.775481059390625*^9, 3.775481110125*^9}, {3.775481167828125*^9, 
   3.775481227671875*^9}, {3.775481297671875*^9, 3.775481408515625*^9}, 
   3.7754816054375*^9, {3.775481642828125*^9, 3.775481646953125*^9}, {
   3.775481752109375*^9, 3.775481840484375*^9}, {3.77548188859375*^9, 
   3.775481969890625*^9}, 3.775482096375*^9, {3.77548216565625*^9, 
   3.775482353921875*^9}, {3.7757171691875*^9, 3.77571718940625*^9}, {
   3.775717326171875*^9, 3.7757173290625*^9}},
 ExpressionUUID -> "daee9a8d-72ea-4c1a-ace1-c55b4c96159b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "funkce", " ", "\"\<vydej1\>\"", " ", "resi", " ", "situaci", " ", "se", 
     " ", "zadanym", " ", "hmotnostnim", " ", "prutokem", " ", "vzduchu", " ",
      "a", " ", "kasle", " ", "na", " ", "to"}], ",", " ", 
    RowBox[{
    "ze", " ", "je", " ", "proudeni", " ", "zpusobeno", " ", "kominovym", " ",
      "efektem", " ", "a", " ", "celkove", " ", "jde", " ", "osamovolnou", 
     " ", 
     RowBox[{"konvekci", ".", " ", "Poc"}], " ", "si", " ", "to", " ", 
     "muzeme", " ", 
     RowBox[{"dovolit", "?", " ", "Protoze"}], " ", "takle", " ", "situace", 
     " ", "je", " ", "\"\<mozna\>\"", " ", "a", " ", 
     "\"\<umeli bychom ji nastrojit (kasna etymologie, viz Jonas porok)\>\"", 
     " ", "nejakym", " ", "strojem"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"treba", " ", "izenym", " ", "ventilatorkem"}], "..."}], 
     "\[IndentingNewLine]", "Kdybychom", " ", "ridili", " ", "ventilatorek", 
     " ", "tak", " ", "ze", " ", "ma", " ", "nulovy", " ", "mechanicky", " ", 
     "prikon", " ", 
     RowBox[{"(", 
      RowBox[{"jsou", " ", "-", 
       RowBox[{
       "li", " ", "jeho", " ", "tlakove", " ", "ztraty", " ", "idealizovane", 
        " ", "nulove"}]}], ")"}], " ", "nulovy"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"mame", " ", "reseni"}], "..."}], " ", 
     RowBox[{"atd", "."}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "vydej1", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vydej1", "[", 
      RowBox[{
       RowBox[{"mSteckouA_", "?", "NumericQ"}], ",", "Tokoli_"}], "]"}], ":=", 
     RowBox[{"Quiet", "@", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "rce", ",", "sol", ",", "\[CapitalDelta]p", ",", "pW", ",", "pA", 
          ",", "TwOut", ",", "TaOut", ",", "vAin", ",", "pNekomin", ",", 
          "vAout", ",", "Rey"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"rce", "=", 
          RowBox[{"{", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
             "vlastni", " ", "diferencialni", " ", "rovnice", " ", "zustanou",
               " ", "formalne", " ", "stejne"}], ",", " ", 
             RowBox[{
             "jen", " ", "budeme", " ", "zadavat", " ", "vstupni", " ", 
              "hmotnostni", " ", "prutok", " ", "jako", " ", "zaporne", " ", 
              "cislo"}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"mSteckouW", "*", "cpW", "*", 
               RowBox[{
                RowBox[{"Tw", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
             RowBox[{"sirka", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"qr", "[", 
                 RowBox[{
                  RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"\[Alpha]Ext", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}], 
                "+", " ", 
                RowBox[{
                 FractionBox["1", "SvnejsiKuSVnitrni"], "*", 
                 RowBox[{"\[Alpha]In", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", 
                   RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", 
                   RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ")"}]}]}], ",",
             "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
              RowBox[{
               RowBox[{"Ta", "'"}], "[", "x", "]"}]}], "\[Equal]", 
             RowBox[{
              FractionBox["sirka", "SvnejsiKuSVnitrni"], "*", 
              RowBox[{"\[Alpha]In", "[", 
               RowBox[{
                RowBox[{"Tw", "[", "x", "]"}], ",", 
                RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Tw", "[", "x", "]"}], "-", 
                RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Tw", "[", "0", "]"}], "==", "TinW"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"podminka", " ", "je", " ", "OK"}], ",", " ", 
              RowBox[{
              "jen", " ", "hodnota", " ", "TinW", " ", "bude", " ", "jine", 
               " ", "cislo"}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"tady", " ", 
               RowBox[{"zmena", ":", " ", 
                RowBox[{
                 RowBox[{"bylo", " ", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], "==", "Tokoli"}]}]}], 
              ",", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                 "ale", " ", "ted", " ", "zname", " ", "teplotu", " ", 
                  "vzduchu", " ", "nahore", " ", "a", " ", "ne", " ", 
                  "dole"}], "..."}], " ", "nase", " ", "x"}], "=", 
               RowBox[{
                RowBox[{
                "0", " ", "je", " ", "podle", " ", "vody", " ", "a", " ", 
                 "voda", " ", "nezmenila", " ", "vstup", " ", "a", " ", 
                 "vystup", " ", "ani", " ", "rychlost", " ", "atd"}], 
                "..."}]}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Ta", "[", "0", "]"}], "==", "Tokoli"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                 "rovnice", " ", "po", " ", "hydrostaticky", " ", "tlak", " ",
                   "nechame", " ", "stejne"}], "..."}], " ", "predtim", " ", 
                "vychazelo", " ", "\[CapitalDelta]p", " ", "kladne", " ", 
                "cislo", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"vzduch", " ", "uvnitr", " ", "lehci"}], ",", " ", 
                  RowBox[{
                  "vztlak", " ", "bereme", " ", "smerem", " ", "vzhurru", " ", 
                   RowBox[{"atd", "."}]}]}], ")"}], " ", "a", " ", "ted", " ",
                 "vyjde", " ", "zaporne", " ", "cislo"}], ",", " ", 
               RowBox[{
               "vyporadame", " ", "se", " ", "s", " ", "tim", " ", "ve", " ", 
                "funkci", " ", "vydej2", " ", "ktera", " ", "se", " ", 
                "stara", " ", "o", " ", 
                RowBox[{"proudeni", " ", ":", "-"}]}]}], ")"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "'"}], "[", "x", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"\[Rho]A", "[", 
               RowBox[{"Ta", "[", "x", "]"}], "]"}], "*", "g"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"p", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"pNekomin", "'"}], "[", "x", "]"}], "==", 
             RowBox[{"sirka", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"qr", "[", 
                 RowBox[{
                  RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"\[Alpha]Ext", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}]}], 
               ")"}]}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pNekomin", "[", "0", "]"}], "\[Equal]", "0"}]}], 
           "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"sol", "=", 
          RowBox[{
           RowBox[{"NDSolve", "[", 
            RowBox[{"rce", ",", 
             RowBox[{"{", 
              RowBox[{"Tw", ",", "Ta", ",", "p", ",", "pNekomin"}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "xmax"}], "}"}]}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[CapitalDelta]p", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"g", "*", "xmax", "*", 
             RowBox[{"\[Rho]A", "[", "Tokoli", "]"}]}], "-", 
            RowBox[{"p", "[", "xmax", "]"}]}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"pW", "=", 
          RowBox[{
           RowBox[{"mSteckouW", "*", "cpW", "*", 
            RowBox[{"(", 
             RowBox[{"TinW", "-", 
              RowBox[{"Tw", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"tady", " ", "zase", " ", "nutna", " ", "zmena"}], ",", 
           " ", 
           RowBox[{
            RowBox[{
             RowBox[{"bylo", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
               RowBox[{"(", 
                RowBox[{"Tokoli", "-", 
                 RowBox[{"Ta", "[", "0", "]"}]}], ")"}]}], "/.", "sol"}]}], 
            ";", " ", 
            RowBox[{
             RowBox[{"a", " ", "musi", " ", "byt", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
               RowBox[{"(", 
                RowBox[{"Tokoli", "-", 
                 RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"dalsi", " ", "zmena", " ", "je", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 StyleBox["-",
                  FontColor->RGBColor[1, 0, 0]], "mSteckouA"}], "*", "cpA", 
                "*", 
                RowBox[{"(", 
                 RowBox[{"Tokoli", "-", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", 
               RowBox[{"sol", "\[IndentingNewLine]", "na", " ", "pA"}]}], "=", 
              RowBox[{
               RowBox[{"mSteckouA", "*", "cpA", "*", 
                RowBox[{"(", 
                 RowBox[{"Tokoli", "-", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", 
               "sol"}]}]}]}]}], "\[IndentingNewLine]", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"pA", "=", 
          RowBox[{
           RowBox[{"mSteckouA", "*", "cpA", "*", 
            RowBox[{"(", 
             RowBox[{"Tokoli", "-", 
              RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"tady", " ", "musi", " ", "byt", " ", "zmena"}], "..."}],
             " ", "out", " ", "je", " ", "ted", " ", "pro", " ", "vzduch", 
            " ", "v", " ", "souadnici", " ", "xmax", " ", "a", " ", "ne", " ",
             "0"}], " ", ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"bylo", " ", "TaOut"}], "=", 
             RowBox[{
              RowBox[{"Ta", "[", "0", "]"}], "/.", "sol"}]}], ";", " ", 
            RowBox[{
             RowBox[{"a", " ", "je", " ", "TaOut"}], "=", 
             RowBox[{
              RowBox[{"Ta", "[", "xmax", "]"}], "/.", "sol"}]}], ";"}]}], 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{"TaOut", "=", 
          RowBox[{
           RowBox[{"Ta", "[", "xmax", "]"}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"TwOut", "=", 
          RowBox[{
           RowBox[{"Tw", "[", "xmax", "]"}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"vAin", "=", 
          FractionBox["mSteckouA", 
           RowBox[{
            RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], "*", "SkolmyVzduch"}]]}],
          ";", "\[IndentingNewLine]", 
         RowBox[{"vAout", "=", 
          FractionBox["mSteckouA", 
           RowBox[{
            RowBox[{"\[Rho]A", "[", "TaOut", "]"}], "*", "SkolmyVzduch"}]]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "rychlosti", " ", "zmenily", " ", "znamenko", " ", "u", " ", 
            "vzduchu"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"to", " ", "je", " ", "ok"}], "..."}], " ", "vzduch", 
              " ", "proudi", " ", "opacne"}], "..."}], " ", "pedtim", " ", 
            "jsem", " ", "ale", " ", "u", " ", "Reynoldsova", " ", "cisla", 
            " ", "neeuvazoval"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
               "ze", " ", "by", " ", "rychlost", " ", "byla", " ", 
                "zaporna"}], "..."}], " ", "takze", " ", "bylo", " ", "Rey"}],
              "=", 
             FractionBox[
              RowBox[{"0.5", "*", 
               RowBox[{"(", 
                RowBox[{"vAin", "+", "vAout"}], ")"}], "*", "DcharIn"}], 
              RowBox[{"\[Nu]", "[", 
               RowBox[{"0.5", "*", 
                RowBox[{"(", 
                 RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]]}], ";"}], 
           ",", " ", 
           RowBox[{
            RowBox[{
            "ted", " ", "se", " ", "udela", " ", "absolutni", " ", 
             "hodnota"}], "..."}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"Rey", "=", 
          RowBox[{
           FractionBox[
            RowBox[{"0.5", "*", 
             RowBox[{"(", 
              RowBox[{"vAin", "+", "vAout"}], ")"}], "*", "DcharIn"}], 
            RowBox[{"\[Nu]", "[", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]], "//", 
           "Abs"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[CapitalDelta]p", ",", "Tokoli", ",", "TaOut"}], "}"}], 
           ",", "pW", ",", "pA", ",", 
           RowBox[{
            RowBox[{"pA", "+", 
             RowBox[{"pNekomin", "[", "xmax", "]"}]}], "/.", "sol"}], ",", 
           "TwOut", ",", "vAin", ",", "vAout", ",", "Rey"}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mstAirTry", "=", 
     RowBox[{"-", "0.01"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"vydej1", "[", 
    RowBox[{"mstAirTry", ",", "Tokoli"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7751940908575525`*^9, 3.775194195755411*^9}, {
   3.7751997644666023`*^9, 3.7752000628411627`*^9}, {3.775200132328938*^9, 
   3.775200196949921*^9}, {3.775200985462324*^9, 3.7752011878678856`*^9}, {
   3.775201929303141*^9, 3.7752019978183064`*^9}, {3.7752020675675535`*^9, 
   3.7752022271707277`*^9}, {3.775202277518248*^9, 3.7752022842198267`*^9}, {
   3.775202321195491*^9, 3.7752023976150446`*^9}, {3.775202439183408*^9, 
   3.775202443338683*^9}, {3.7752024958732204`*^9, 3.7752025011532307`*^9}, {
   3.7752026060660944`*^9, 3.775202611674152*^9}, {3.7752029012215796`*^9, 
   3.7752030455470285`*^9}, {3.7752030759774246`*^9, 
   3.7752031134217467`*^9}, {3.7752031665655065`*^9, 3.775203248249428*^9}, {
   3.7752032953321533`*^9, 3.7752033106097836`*^9}, {3.775203364737719*^9, 
   3.775203506423175*^9}, {3.7752035527404556`*^9, 3.7752037027989335`*^9}, {
   3.775204837657463*^9, 3.775204877366888*^9}, 3.7752061781395097`*^9, {
   3.7752063542856493`*^9, 3.7752063728282022`*^9}, {3.7752790377538958`*^9, 
   3.7752790566244693`*^9}, {3.7752798428617277`*^9, 
   3.7752798435490217`*^9}, {3.775283766976465*^9, 3.7752838739784164`*^9}, 
   3.775286871148703*^9, {3.7752874108030853`*^9, 3.7752874333134317`*^9}, {
   3.775287599055774*^9, 3.775287630892042*^9}, {3.7754776646875*^9, 
   3.77547766840625*^9}, {3.775477765921875*^9, 3.775477768671875*^9}, {
   3.77547968096875*^9, 3.775479752*^9}, {3.7754797929375*^9, 
   3.775480470734375*^9}, {3.775480618890625*^9, 3.77548065315625*^9}, {
   3.775481059390625*^9, 3.775481110125*^9}, {3.775481167828125*^9, 
   3.775481227671875*^9}, {3.775481297671875*^9, 3.775481408515625*^9}, 
   3.7754816054375*^9, {3.775481642828125*^9, 3.775481646953125*^9}, {
   3.775481752109375*^9, 3.775481840484375*^9}, {3.77548188859375*^9, 
   3.775481969890625*^9}, 3.775482096375*^9, {3.77548216565625*^9, 
   3.775482353921875*^9}, {3.7757171691875*^9, 3.77571718940625*^9}, {
   3.775717326171875*^9, 3.775717577125*^9}, {3.775717614203125*^9, 
   3.7757178720625*^9}, {3.7757180465625*^9, 3.775718081484375*^9}, {
   3.775718407453125*^9, 3.775718494703125*^9}, {3.775718539578125*^9, 
   3.775718565015625*^9}, {3.775718625375*^9, 3.775718642671875*^9}, 
   3.775719431359375*^9},
 ExpressionUUID -> "daee9a8d-72ea-4c1a-ace1-c55b4c96159b"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "byl", " ", "jsem", " ", "lenoch", " ", "ci", " ", "nemel", " ", "jsem",
        " ", 
       RowBox[{"cas", "?", " ", "Tot"}], " ", "otazka"}], "..."}], " ", 
     "jasne"}], ",", " ", 
    RowBox[{"udelel", " ", "jsem", " ", "par", " ", "pokusu"}], ",", " ", 
    RowBox[{
    "kdyz", " ", "jsem", " ", "menil", " ", "mstAirTry", " ", "a", " ", 
     "koukal", " ", "na", " ", "vysledky", " ", "jestli", " ", "se", " ", 
     "chovaji", " ", "jak", " ", 
     RowBox[{"maji", ".", "\[IndentingNewLine]", "Moooc"}], " ", 
     "doporucuju"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "kdyz", " ", "bude", " ", "prutok", " ", "maly", " ", "a", " ", "velky",
        " ", "a", " ", "jak", " ", "se", " ", "meni", " ", "vykon", " ", "a", 
       " ", "vystupni", " ", "teplota"}], "..."}], "\[IndentingNewLine]", 
     "No", " ", "ale", " ", "ted", " ", "z", " ", "toho", " ", "udelam", " ", 
     "grafiky"}]}], "\[IndentingNewLine]", "*)"}]}]], "Input",
 CellChangeTimes->{{3.77571815959375*^9, 3.775718264359375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"minMstA", ",", "maxMstA"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.0001"}], ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nMsts", "=", "50"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "mstAs", " ", "je", " ", "ukazka", " ", "mych", " ", "jmen", " ", 
     "promennych"}], ",", " ", 
    RowBox[{
    "je", " ", "to", " ", "ceskoanglicky", " ", "mstA", " ", "z", " ", "m", 
     " ", "s", " ", "teckou", " ", "Air", " ", "s", " ", "jako", " ", 
     "mnozne", " ", "cislo"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mstAs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"minMstA", "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        FractionBox["#", 
         RowBox[{"nMsts", "-", "1"}]], "*", 
        RowBox[{"Log", "[", 
         FractionBox["maxMstA", "minMstA"], "]"}]}], "]"}]}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{"0", ",", 
      RowBox[{"nMsts", "-", "1"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Length", "[", "%", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
       "na", " ", "tyhle", " ", "mezivysledky", " ", "se", " ", "musime", " ",
         "vzdycky", " ", "podivat"}], "..."}], " ", "i", " ", "kdyz", " ", 
      "nas", " ", "tady", " ", "moc", " ", "nesere", " ", "ze", " ", 
      "kdybychom", " ", "zadali", " ", "nMsts"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"10", " ", "a", " ", "bylo", " ", "jich", " ", "jedenact"}], 
       "..."}], " ", "ale", " ", "takhle", " ", "je", " ", "to", " ", 
      "cistejsi", " ", "a", " ", "kus", " ", "pogamatoske", " ", "funkcni", 
      " ", 
      RowBox[{"libosti", ":", "-"}]}]}], ")"}], 
   "*)"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.77571870409375*^9, 3.77571878884375*^9}, 
   3.775718933109375*^9, {3.775718963296875*^9, 3.77571937075*^9}, 
   3.7757197751875*^9, {3.775720144609375*^9, 3.775720158609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"vydej1", "[", 
          RowBox[{"#", ",", "Tokoli"}], "]"}]}], "}"}], "&"}], " ", "je", " ",
       "funkce", " ", "co", " ", "si", " ", "bere", " ", "#"}], "=", 
     RowBox[{
      RowBox[{
      "hmotnostni", " ", "putok", " ", "vzdychu", " ", "a", " ", "vraci", " ",
        "pislusnou", " ", "dvojici"}], "..."}]}], ",", " ", 
    RowBox[{
    "namapujeme", " ", "ji", " ", "na", " ", "list", " ", "prutoku", " ", 
     "vzduchu", " ", "mstAs"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"data1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"vydej1", "[", 
         RowBox[{"#", ",", "Tokoli"}], "]"}]}], "}"}], "&"}], "/@", 
     "mstAs"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.77571940284375*^9, 3.775719540765625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "uz", " ", "chci", " ", "myslet", " ", "o", " ", "chladu", " ", "a", " ", 
     "prutoku", " ", "jako", " ", "kladne", " ", "cislo", " ", "a", " ", 
     "pro", " ", "log", " ", "grafy", " ", "a", " ", "tak"}], ",", " ", 
    RowBox[{
    "takze", " ", "udelam", " ", "\"\<\[RuleDelayed]Abs[{mstA,pW}\>\"", " ", 
     "misto", " ", "prosteho", " ", "fyzikalniho", " ", 
     "\"\<\[RuleDelayed]{mstA,pW}\>\""}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataVykon", "=", 
     RowBox[{"data1", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mstA_", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], 
            "}"}], ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", 
           "TwOut_", ",", "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], 
        "}"}], "\[RuleDelayed]", 
       RowBox[{"Abs", "[", 
        RowBox[{"{", 
         RowBox[{"mstA", ",", "pW"}], "}"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl1", "=", 
     RowBox[{"ListLogLogPlot", "[", 
      RowBox[{"dataVykon", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<Pchad [W]\>\""}], "}"}]}], 
       ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"u", " ", "pl2", " ", "nepisu", " ", "Options", " ", 
      RowBox[{"(", 
       RowBox[{"jasne", ",", " ", 
        RowBox[{"napsal", " ", "jsem", " ", "je"}], ",", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"protoze", " ", "jsem", " ", "kopiroval"}], "..."}], " ", 
         "kvuli", " ", "\"\<didactic\>\"", " ", "to", " ", "tak", " ", 
         "pisu"}]}], ")"}]}], ",", " ", 
     RowBox[{
     "potoze", " ", "Show", " ", "si", " ", "je", " ", "pokud", " ", "nejsou",
       " ", "explicitae", " ", "napsane", " ", 
      RowBox[{"Show", "[", 
       RowBox[{"graphics1", ",", "graphics1", ",", "options"}], "]"}], " ", 
      "tak", " ", "se", " ", "vezmou", " ", "jak", " ", "jen", " ", "to", " ",
       "jde", " ", "z", " ", "graphics1"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl2", "=", 
     RowBox[{"ListLogLogPlot", "[", 
      RowBox[{"dataVykon", ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"plChladRaw", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"pl1", ",", "pl2"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.775719612203125*^9, 3.7757197580625*^9}, {
  3.77571981071875*^9, 3.77571993296875*^9}, {3.775719983421875*^9, 
  3.7757201290625*^9}, {3.775720186828125*^9, 3.775720362234375*^9}, {
  3.7757205691875*^9, 3.77572058625*^9}, {3.77572076796875*^9, 
  3.77572081725*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
    "docela", " ", "hezke", " ", "kdybychom", " ", "nekdy", " ", "meli", " ", 
     RowBox[{"(", 
      RowBox[{"v", " ", "laminarni", " ", 
       RowBox[{"oblasti", "!"}]}], ")"}], " ", "vyhodnocovat", " ", "vliv", 
     " ", "vynucenenho", " ", "proudeni", " ", "na", " ", "vykon"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "ekonomicky", " ", "muze", " ", "byt", " ", "kdyz", " ", "uz", " ", 
       "zajimava", " ", "ta", " ", "rostouci", " ", "cast", " ", "krivky"}], 
      "..."}], "\[IndentingNewLine]", "Ale", " ", "neco", " ", "jsem", " ", 
     "se", " ", 
     RowBox[{"poucil", ":", "-"}]}]}], ")"}], "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.77572044440625*^9, 3.77572054634375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"protoze", " ", "uvazujeme", " ", "Graetz"}], "-", 
     RowBox[{"Nuseltuv", " ", "efekt"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "muzime", " ", "se", " ", "omezit", " ", "na", " ", "cca", " ", "Re"}], 
     "<", "2300"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"vsuvka", ":", " ", 
    RowBox[{
    "musime", " ", "pokud", " ", "mame", " ", "odhadovat", " ", "vykon", " ", 
     "chladu", " ", "a", " ", "ne", " ", "minimalni", " ", "vykon", " ", 
     RowBox[{"chladu", ".", "\[IndentingNewLine]", "Pro"}], " ", 
     "turbulentni", " ", "proudeni", " ", "ovsem", " ", "bude", " ", 
     "\[Alpha]In", " ", "vetsi", " ", "a", " ", "vykon", " ", "vyssi", " ", 
     RowBox[{"atd", "."}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataRe", "=", 
     RowBox[{"data1", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mstA_", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], 
            "}"}], ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", 
           "TwOut_", ",", "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], 
        "}"}], "\[RuleDelayed]", 
       RowBox[{"Abs", "[", 
        RowBox[{"{", 
         RowBox[{"mstA", ",", "Rey"}], "}"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl3", "=", 
     RowBox[{"ListLogLogPlot", "[", 
      RowBox[{"dataRe", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<Re [-]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl4", "=", 
     RowBox[{"ListLogLogPlot", "[", 
      RowBox[{"dataRe", ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"plRe", "=", 
    RowBox[{"Show", "[", 
     RowBox[{"pl3", ",", "pl4"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"vysledek", " ", "se", " ", "dal", " ", "cekat"}], ",", " ", 
      RowBox[{
       RowBox[{"proc", "?"}], " ", ":", "-"}]}], ")"}], "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.7757205985*^9, 3.77572075446875*^9}, {
   3.775720829046875*^9, 3.77572093096875*^9}, {3.77572109465625*^9, 
   3.775721141328125*^9}, 3.775721294796875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "ona", " ", "primka", " ", "v", " ", "dvojlogaritmickych", " ", 
     "souadnicich", " ", "muze", " ", "byt", " ", "primka", " ", "a", " ", 
     "nemusi"}], ",", " ", 
    RowBox[{"zkuste", " ", 
     RowBox[{"LogLogPlot", "[", 
      RowBox[{
       RowBox[{"2", "*", 
        SuperscriptBox["x", "3"]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "10"}], "}"}]}], "]"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pl3lin", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dataRe", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<Re [-]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pl4lin", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dataRe", ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"plRelin", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"pl3lin", ",", "pl4lin"}], "]"}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.775721317203125*^9, 3.7757213775*^9}, {
   3.77572158090625*^9, 3.77572159196875*^9}, 3.775721662421875*^9, {
   3.775721764640625*^9, 3.775721785296875*^9}, 3.775723805125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "podivame", " ", "se", " ", "po", " ", "jake", " ", "mstA", " ", "bude", 
     " ", "Re"}], "=", "2300"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"re", "=", 
     RowBox[{"Interpolation", "[", "dataRe", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mstTransient", "=", 
     RowBox[{"mRe2300", "=", 
      RowBox[{"mst", "/.", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"re", "[", "mst", "]"}], "\[Equal]", "2300"}], ",", 
         RowBox[{"{", 
          RowBox[{"mst", ",", 
           RowBox[{"Abs", "@", 
            RowBox[{"Mean", "[", 
             RowBox[{"{", 
              RowBox[{"minMstA", ",", "maxMstA"}], "}"}], "]"}]}]}], "}"}]}], 
        "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<max mstA pro laminarni proudeni je mstTransient= \>\"", ",", 
     "mstTransient", ",", "\"\< kg/s\>\""}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7757212378125*^9, 3.7757212616875*^9}, {
  3.7757225278125*^9, 3.775722668875*^9}, {3.775722855359375*^9, 
  3.775723033578125*^9}, {3.775723068296875*^9, 3.775723124328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataTaOut", "=", 
   RowBox[{"data1", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mstA_", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}],
          ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", "TwOut_", ",", 
         "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"Abs", "[", 
      RowBox[{"{", 
       RowBox[{"mstA", ",", "TaOut"}], "}"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl5", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataTaOut", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<TAout [\[Degree]C]\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl6", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataTaOut", ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plPom1", "=", 
   RowBox[{"LogLogPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"TinW", ",", "Tokoli"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"mst", ",", 
       RowBox[{"Abs", "@", "minMstA"}], ",", 
       RowBox[{"Abs", "@", "maxMstA"}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"plTaOut", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"pl5", ",", "pl6", ",", "plPom1", ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "All"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.77572378171875*^9, 3.77572387096875*^9}, 
   3.775723911734375*^9, {3.7757239621875*^9, 3.775723980296875*^9}, {
   3.7757241058125*^9, 3.775724115390625*^9}, {3.77572416225*^9, 
   3.77572416234375*^9}, {3.77572423721875*^9, 3.77572443378125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data\[CapitalDelta]p", "=", 
   RowBox[{"data1", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mstA_", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}],
          ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", "TwOut_", ",", 
         "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"Abs", "[", 
      RowBox[{"{", 
       RowBox[{"mstA", ",", "\[CapitalDelta]p"}], "}"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl7", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"data\[CapitalDelta]p", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<\[CapitalDelta]p [Pa]\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl8", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"data\[CapitalDelta]p", ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl\[CapitalDelta]p", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"pl7", ",", "pl8", ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.775724510453125*^9, 3.77572459465625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataPomerKomin", "=", 
   RowBox[{"data1", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mstA_", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}],
          ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", "TwOut_", ",", 
         "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"Abs", "[", 
      RowBox[{"{", 
       RowBox[{"mstA", ",", 
        FractionBox["pA", "pW"]}], "}"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl9", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataPomerKomin", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<mstA[kg/s]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(pKomin\), \(pZbytek\)]\) [\!\(\*FractionBox[\
\(W\), \(W\)]\)]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          SuperscriptBox["10", 
           RowBox[{"-", "3"}]], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl10", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataPomerKomin", ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"plPOmeKomin", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"pl9", ",", "pl10"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.775724651140625*^9, 3.77572475340625*^9}, {
  3.7757249378125*^9, 3.775724976515625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataTwOIUt", "=", 
   RowBox[{"data1", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mstA_", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}],
          ",", "pW_", ",", "pA_", ",", "pAPlusNekomin_", ",", "TwOut_", ",", 
         "vAin_", ",", "vAout_", ",", "Rey_"}], "}"}]}], "}"}], 
     "\[RuleDelayed]", 
     RowBox[{"Abs", "[", 
      RowBox[{"{", 
       RowBox[{"mstA", ",", "TwOut"}], "}"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl11", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataTwOIUt", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<mstA[kg/s]\>\"", ",", "\"\<TwOUt [\[Degree]C]\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", "0.008", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"TinW", "+", "10"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl12", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"dataTwOIUt", ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.003", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"plPOmeKomin", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"pl11", ",", "pl12"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.775725379859375*^9, 3.7757254575*^9}}]
},
WindowSize->{1172, 674},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 389, 10, 107, "Input"],
Cell[949, 32, 3624, 96, 553, "Input"],
Cell[4576, 130, 1384, 36, 252, "Input"],
Cell[5963, 168, 1430, 38, 195, "Input"],
Cell[7396, 208, 669, 18, 136, "Input"],
Cell[8068, 228, 547, 14, 136, "Input"],
Cell[8618, 244, 1900, 47, 310, "Input"],
Cell[10521, 293, 6196, 122, 571, "Input"],
Cell[16720, 417, 17752, 398, 2185, "Input"],
Cell[34475, 817, 1160, 26, 223, "Input"],
Cell[35638, 845, 2158, 58, 368, "Input"],
Cell[37799, 905, 960, 28, 136, "Input"],
Cell[38762, 935, 3264, 79, 426, "Input"],
Cell[42029, 1016, 806, 19, 165, "Input"],
Cell[42838, 1037, 2853, 73, 397, "Input"],
Cell[45694, 1112, 1693, 44, 196, "Input"],
Cell[47390, 1158, 1292, 34, 223, "Input"],
Cell[48685, 1194, 2383, 65, 310, "Input"],
Cell[51071, 1261, 1711, 46, 252, "Input"],
Cell[52785, 1309, 2000, 56, 395, "Input"],
Cell[54788, 1367, 1816, 51, 310, "Input"]
}
]
*)

