(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     58718,       1480]
NotebookOptionsPosition[     56902,       1418]
NotebookOutlinePosition[     57366,       1436]
CellTagsIndexPosition[     57323,       1433]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 ExpressionUUID -> "002edb63-1c95-44fd-9f1f-413705f7046a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "charakteeristicky", " ", "rozme", " ", "po", " ", "proudeni", " ", "v",
        " ", "komine"}], ",", " ", 
      RowBox[{"tedy", " ", "uvnitr", " ", "radiatoru", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"to", " ", "je", " ", "tam"}], ",", " ", 
         RowBox[{
         "kde", " ", "to", " ", "vubec", " ", "neni", " ", "adiator"}], ",", 
         " ", 
         RowBox[{"ale", " ", 
          RowBox[{"konvektor", ":", "-"}]}]}]}]}]}], "]"}], ")"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DcharIn", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "*", "4.8"}], "9.2"], "cm"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"vyska", " ", "radiatoru"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", "0.478"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xmax", "=", "Dchar"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"sirka", " ", "radiatoru", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"m", 
       RowBox[{"\\[", "EHacek", "]"}], "lo"}], " ", "by", " ", "vyjit", " ", 
      "1020", " ", "pro", " ", "VK21"}], ")"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sirka", "=", "1.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "=", "9.81"}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"hustota", " ", "vzduchu"}], ",", " ", 
    RowBox[{
    "uvazujeme", " ", "ze", " ", "je", " ", "to", " ", "v", " ", "tomhle", 
     " ", "smyslu", " ", "idealni", " ", "plyn"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Rho]A", "[", "T_", "]"}], ":=", 
    FractionBox["349.", 
     RowBox[{"T", "+", "273.15"}]]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pripravim", " ", "si", " ", "salani"}], ",", " ", 
    RowBox[{"emisivita", " ", 
     RowBox[{
      RowBox[{"opravena", "!!"}], "!"}]}], ",", " ", 
    RowBox[{"Stefan", "-", 
     RowBox[{
     "Boltzmannovu", " ", "konstantu", " ", "a", " ", "vzoec", " ", "po", " ",
       "salavy", " ", "tok", " ", 
      RowBox[{"(", 
       RowBox[{"W", "/", 
        SuperscriptBox["m", "2"]}], ")"}]}]}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.83"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"5.67", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "8"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"qr", "[", 
    RowBox[{"Todkud_", ",", "Tkam_"}], "]"}], ":=", 
   RowBox[{"\[Epsilon]", "*", "\[Sigma]", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Todkud", "+", "273.15"}], ")"}], "4"], "-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Tkam", "+", "273.15"}], ")"}], "4"]}], ")"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7748442871451206`*^9, 3.7748442878793*^9}, {
   3.774844354113748*^9, 3.7748443740153236`*^9}, {3.7748444156930304`*^9, 
   3.7748444173644924`*^9}, {3.774844480896474*^9, 3.7748444820212107`*^9}, {
   3.774844855355418*^9, 3.7748449188248854`*^9}, {3.7748450008837433`*^9, 
   3.774845001571056*^9}, {3.77495919715625*^9, 3.77495919921875*^9}, 
   3.774959353484375*^9, 3.775120461390625*^9, {3.775121607234375*^9, 
   3.77512162778125*^9}, 3.775121938703125*^9, {3.775121996953125*^9, 
   3.7751221731875*^9}, {3.775122293484375*^9, 3.775122401*^9}, {
   3.77512274975*^9, 3.775122750203125*^9}, 3.775123485703125*^9, {
   3.7751942241292753`*^9, 3.7751942503048296`*^9}, {3.7752011075430303`*^9, 
   3.775201112916771*^9}, {3.7752020177042875`*^9, 3.775202020328679*^9}, 
   3.7755411390453186`*^9, {3.7755412149822817`*^9, 3.775541223461164*^9}, {
   3.775541314179923*^9, 3.7755413744801354`*^9}, {3.7755417285722227`*^9, 
   3.775541730022205*^9}, {3.7755419015248585`*^9, 3.775541942100303*^9}, {
   3.7755427119901505`*^9, 3.775542739579774*^9}, 3.775542769614362*^9, {
   3.775542804437887*^9, 3.7755428081598425`*^9}, {3.7755428843877945`*^9, 
   3.7755429108844333`*^9}, {3.7755430386223955`*^9, 
   3.7755430603500977`*^9}, {3.7755431327641077`*^9, 3.775543190492318*^9}, {
   3.775543417270219*^9, 3.775543444571847*^9}, {3.775543549082774*^9, 
   3.7755435569796634`*^9}},
 ExpressionUUID -> "d56a99ce-79cb-4a02-b3e9-39d93fc01602"],

Cell[BoxData["0.020869565217391303`"], "Output",
 CellChangeTimes->{3.776333415125*^9, 3.7763334710625*^9, 
  3.776333502765625*^9, 3.77633356621875*^9, 3.776333764859375*^9, 
  3.776333977328125*^9, 3.776334678765625*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pouziju", " ", "data", " ", "z", " ", "predchozich", " ", "notebooku"}], 
    ",", " ", 
    RowBox[{
    "pro", " ", "clanek", " ", "by", " ", "se", " ", "ale", " ", "pouzily", 
     " ", "asi", " ", "puvodni", " ", "slozitosti"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"struct", "=", 
     RowBox[{"<<", "\"\<struct\>\""}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"popis", "=", 
     RowBox[{"struct", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"dataAlfaExt", " ", "obsahuji", " ", "trojice", " ", 
     RowBox[{"{", 
      RowBox[{"TstenaRadiatoru", ",", "TairIn", ",", "\[Alpha]Ext"}], "}"}]}],
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dataAlfaExt", ",", 
       RowBox[{"\[Nu]", "[", "T_", "]"}], ",", 
       RowBox[{"\[Lambda]", "[", "T_", "]"}]}], "}"}], "=", 
     RowBox[{"struct", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7751216815*^9, 3.77512186234375*^9}, {
   3.7751219601875*^9, 3.7751219794375*^9}, 3.775122409890625*^9, {
   3.7751224658125*^9, 3.775122507359375*^9}},
 ExpressionUUID -> "a3f08c2e-0091-4189-b42f-9ff4fc8aedc7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"uvazuju", " ", "Graetz"}], "-", 
     RowBox[{"Nuseeltuv", " ", "efekt"}]}], ",", " ", 
    RowBox[{
    "to", " ", "je", " ", "to", " ", "jak", " ", "imale", " ", "proudeni", 
     " ", "zvysi", " ", "alfu"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NuIn", "=", 
     StyleBox["4.6",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"nutno", " ", "dohledat"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]In", "[", 
      RowBox[{"T1_", ",", "T2_"}], "]"}], ":=", 
     FractionBox[
      RowBox[{"NuIn", "*", 
       RowBox[{"\[Lambda]", "[", 
        RowBox[{"0.5", "*", 
         RowBox[{"(", 
          RowBox[{"T1", "+", "T2"}], ")"}]}], "]"}]}], "DcharIn"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]Ext", "=", 
     RowBox[{"Interpolation", "[", "dataAlfaExt", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.77512252215625*^9, 3.775122524703125*^9}, {
   3.7751225851875*^9, 3.775122755578125*^9}, {3.775122789140625*^9, 
   3.775122789625*^9}, {3.7751995797334595`*^9, 3.7751996082537107`*^9}, {
   3.775202848218401*^9, 3.775202848280877*^9}, 3.775884270911769*^9, {
   3.775887927263133*^9, 3.775887927695653*^9}, 3.7760599155928545`*^9, {
   3.776329967765625*^9, 3.776329978515625*^9}},
 ExpressionUUID -> "98947f50-1489-4688-bf7d-14ae09c4a9e6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Alpha]Ext", "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.776330217234375*^9, 3.776330219765625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "9.68169011381621`"}], ",", "94.81830988618378`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "10.`"}], ",", "50.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.77633341540625*^9, 3.77633347134375*^9, 
  3.77633350303125*^9, 3.776333566484375*^9, 3.776333765125*^9, 
  3.776333977609375*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vnejsi", " ", "povrch", " ", "radiatoru", " ", "je", " ", "mensi", " ", 
     "nez", " ", "vnitrni", " ", "povrch"}], ",", " ", 
    RowBox[{
    "oznacim", " ", "SvnejsiKuSVnitrni", " ", "prislusny", " ", "pomer"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SvnejsiKuSVnitrni", "=", 
     StyleBox["0.14331",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SvnejsiKuSVnitrni", "=", 
     StyleBox["0.143",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.77512280221875*^9, 3.7751229229375*^9}, {
  3.775202864183403*^9, 3.7752028863032074`*^9}, {3.775544486858214*^9, 
  3.7755444924561343`*^9}, {3.7758879771088223`*^9, 3.775887981059049*^9}, {
  3.7760598889272103`*^9, 3.776059889161562*^9}},
 ExpressionUUID -> "aac66eaf-ad48-40b2-8e9c-b51a7443c17e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"datacp", "=", 
   RowBox[{"Import", "[", "\"\<derh.csv\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cp", "=", 
   RowBox[{"Interpolation", "[", "datacp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7760601780572033`*^9, 3.776060218067464*^9}, {
  3.776060521089011*^9, 3.7760605740306787`*^9}},
 ExpressionUUID -> "e5be76bf-39d9-4c7b-a594-f47abb992cec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"paramety", " ", "vody", " ", "a", " ", "vzduchu"}], ",", " ", 
    "zjednodudene"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"cpA", "=", "1025."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]W", "=", "1000."}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.775123382828125*^9, 3.775123465921875*^9}, {
  3.77606058656927*^9, 3.7760605978662653`*^9}},
 ExpressionUUID -> "acbfa8f1-5e48-4aff-a417-1ef2a9c74d71"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FileNames", "[", "]"}]], "Input",
 CellChangeTimes->{{3.77633476228125*^9, 3.7763347691875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"alfaExtAParametry.nb\"\>", ",", "\<\"dataAlfaExt\"\>", 
   ",", "\<\"derh.csv\"\>", ",", "\<\"didactic1a-gafy1b.nb\"\>", 
   ",", "\<\"mSteckouW\"\>", ",", "\<\"redrChladimzTopim1a.nb\"\>", 
   ",", "\<\"redrTopim1a.nb\"\>", ",", "\<\"struct\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.776334769734375*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "prutok", " ", "vody", " ", "vyjdeme", " ", "z", " ", 
    "nominalnich", " ", "udaju", " ", "o", " ", "radiatoru"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]Tnom", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TinW", "=", "16"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tokoli", "=", "27"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cpW", "=", 
     RowBox[{"0.5", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cp", "[", "TinW", "]"}], "+", 
        RowBox[{"cp", "[", 
         RowBox[{"TinW", "-", "\[CapitalDelta]Tnom"}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mSteckouW", "=", 
     RowBox[{"<<", "mSteckouW"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"prurez", " ", "kterym", " ", "proudi", " ", "vzduch"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SkolmyVzduch", "=", 
     RowBox[{"sirka", "*", 
      StyleBox["0.066",
       FontColor->RGBColor[1, 0, 0]]}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.775192871200946*^9, 3.775192934514165*^9}, {
   3.775193407200036*^9, 3.7751934234306355`*^9}, {3.77519350008451*^9, 
   3.775193542746366*^9}, {3.775201064146971*^9, 3.7752010711765714`*^9}, {
   3.775201124710873*^9, 3.7752011351771655`*^9}, {3.7752033317298555`*^9, 
   3.7752033502098937`*^9}, {3.7752037252468204`*^9, 3.775203740243298*^9}, 
   3.775286861244812*^9, {3.775287318996552*^9, 3.7752873242921834`*^9}, {
   3.7755432313477592`*^9, 3.77554323162776*^9}, 3.775883866600468*^9, {
   3.77605982417679*^9, 3.776059856263037*^9}, {3.7760606006123314`*^9, 
   3.77606065905225*^9}, {3.776330002640625*^9, 3.776330013875*^9}, {
   3.776334734890625*^9, 3.776334792890625*^9}},
 ExpressionUUID -> "1b3ab434-2c99-4b0f-ace3-1b4ff471a976"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "vydej1Old", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vydej1Old", "[", 
     RowBox[{
      RowBox[{"mSteckouA_", "?", "NumericQ"}], ",", "Tokoli_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "rce", ",", "sol", ",", "\[CapitalDelta]p", ",", "pW", ",", "pA", ",", 
        "TwOut", ",", "TaOut", ",", "vAin", ",", "pNekomin", ",", "vAout", 
        ",", "Rey"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"rce", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"-", "mSteckouW"}], "*", "cpW", "*", 
            RowBox[{
             RowBox[{"Tw", "'"}], "[", "x", "]"}]}], "\[Equal]", 
           RowBox[{"sirka", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               StyleBox["2",
                FontColor->RGBColor[1, 0, 0]], 
               StyleBox["*",
                FontColor->RGBColor[1, 0, 0]], 
               RowBox[{"qr", "[", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}]}], "+", 
              RowBox[{
               StyleBox["2",
                FontColor->RGBColor[1, 0, 0]], "*", 
               RowBox[{"\[Alpha]Ext", "[", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}], "+",
               " ", 
              RowBox[{
               FractionBox["1", "SvnejsiKuSVnitrni"], "*", 
               RowBox[{"\[Alpha]In", "[", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], ",", 
                 RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], "-", 
                 RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ")"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
            RowBox[{
             RowBox[{"Ta", "'"}], "[", "x", "]"}]}], "\[Equal]", 
           RowBox[{
            FractionBox["sirka", "SvnejsiKuSVnitrni"], "*", 
            RowBox[{"\[Alpha]In", "[", 
             RowBox[{
              RowBox[{"Tw", "[", "x", "]"}], ",", 
              RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Tw", "[", "x", "]"}], "-", 
              RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Tw", "[", "0", "]"}], "==", "TinW"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Ta", "[", "xmax", "]"}], "==", "Tokoli"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"p", "'"}], "[", "x", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"\[Rho]A", "[", 
             RowBox[{"Ta", "[", "x", "]"}], "]"}], "*", "g"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"p", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"pNekomin", "'"}], "[", "x", "]"}], "==", 
           RowBox[{"sirka", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"qr", "[", 
               RowBox[{
                RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "+", 
              RowBox[{
               RowBox[{"\[Alpha]Ext", "[", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}]}], 
             ")"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"pNekomin", "[", "0", "]"}], "\[Equal]", "0"}]}], 
         "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"sol", "=", 
        RowBox[{
         RowBox[{"NDSolve", "[", 
          RowBox[{"rce", ",", 
           RowBox[{"{", 
            RowBox[{"Tw", ",", "Ta", ",", "p", ",", "pNekomin"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", "xmax"}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalDelta]p", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"g", "*", "xmax", "*", 
           RowBox[{"\[Rho]A", "[", "Tokoli", "]"}]}], "-", 
          RowBox[{"p", "[", "xmax", "]"}]}], "/.", "sol"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"pW", "=", 
        RowBox[{
         RowBox[{"mSteckouW", "*", "cpW", "*", 
          RowBox[{"(", 
           RowBox[{"TinW", "-", 
            RowBox[{"Tw", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"pA", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
          RowBox[{"(", 
           RowBox[{"Tokoli", "-", 
            RowBox[{"Ta", "[", "0", "]"}]}], ")"}]}], "/.", "sol"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"TaOut", "=", 
        RowBox[{
         RowBox[{"Ta", "[", "0", "]"}], "/.", "sol"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"TwOut", "=", 
        RowBox[{
         RowBox[{"Tw", "[", "xmax", "]"}], "/.", "sol"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vAin", "=", 
        FractionBox["mSteckouA", 
         RowBox[{
          RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], "*", "SkolmyVzduch"}]]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"vAout", "=", 
        FractionBox["mSteckouA", 
         RowBox[{
          RowBox[{"\[Rho]A", "[", "TaOut", "]"}], "*", "SkolmyVzduch"}]]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Rey", "=", 
        FractionBox[
         RowBox[{"0.5", "*", 
          RowBox[{"(", 
           RowBox[{"vAin", "+", "vAout"}], ")"}], "*", "DcharIn"}], 
         RowBox[{"\[Nu]", "[", 
          RowBox[{"0.5", "*", 
           RowBox[{"(", 
            RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[CapitalDelta]p", ",", "Tokoli", ",", "TaOut"}], "}"}], 
         ",", "pW", ",", "pA", ",", 
         RowBox[{
          RowBox[{"pA", "+", 
           RowBox[{"pNekomin", "[", "xmax", "]"}]}], "/.", "sol"}], ",", 
         "TwOut", ",", "vAin", ",", "vAout", ",", "Rey"}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"vydej1Old", "[", 
  RowBox[{
   RowBox[{"-", "0.01"}], ",", "27"}], "]"}]}], "Input",
 CellChangeTimes->{{3.7751940908575525`*^9, 3.775194195755411*^9}, {
   3.7751997644666023`*^9, 3.7752000628411627`*^9}, {3.775200132328938*^9, 
   3.775200196949921*^9}, {3.775200985462324*^9, 3.7752011878678856`*^9}, {
   3.775201929303141*^9, 3.7752019978183064`*^9}, {3.7752020675675535`*^9, 
   3.7752022271707277`*^9}, {3.775202277518248*^9, 3.7752022842198267`*^9}, {
   3.775202321195491*^9, 3.7752023976150446`*^9}, {3.775202439183408*^9, 
   3.775202443338683*^9}, {3.7752024958732204`*^9, 3.7752025011532307`*^9}, {
   3.7752026060660944`*^9, 3.775202611674152*^9}, {3.7752029012215796`*^9, 
   3.7752030455470285`*^9}, {3.7752030759774246`*^9, 
   3.7752031134217467`*^9}, {3.7752031665655065`*^9, 3.775203248249428*^9}, {
   3.7752032953321533`*^9, 3.7752033106097836`*^9}, {3.775203364737719*^9, 
   3.775203506423175*^9}, {3.7752035527404556`*^9, 3.7752037027989335`*^9}, {
   3.775204837657463*^9, 3.775204877366888*^9}, 3.7752061781395097`*^9, {
   3.7752063542856493`*^9, 3.7752063728282022`*^9}, {3.7752790377538958`*^9, 
   3.7752790566244693`*^9}, {3.7752798428617277`*^9, 
   3.7752798435490217`*^9}, {3.775283766976465*^9, 3.7752838739784164`*^9}, 
   3.775286871148703*^9, {3.7752874108030853`*^9, 3.7752874333134317`*^9}, {
   3.775287599055774*^9, 3.775287630892042*^9}, {3.775883969076373*^9, 
   3.7758839701230025`*^9}, {3.7758840439806585`*^9, 3.775884048838893*^9}, {
   3.7758840825184827`*^9, 3.7758840875797944`*^9}, {3.7758841361933784`*^9, 
   3.7758841376617837`*^9}, 3.776330062*^9, 3.776330755546875*^9, {
   3.776334856265625*^9, 3.776334868328125*^9}, 3.776334918734375*^9, {
   3.77633501796875*^9, 3.776335027671875*^9}},
 ExpressionUUID -> "1ce6a215-826b-4b7e-becf-bee1c64a3fdb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.3113937980785231`", ",", "27", ",", "109.55447563300899`"}], 
    "}"}], ",", 
   RowBox[{"-", "902.771979991604`"}], ",", 
   RowBox[{"-", "846.1833752383421`"}], ",", 
   RowBox[{"-", "874.4776748640143`"}], ",", "24.826410689768196`", ",", 
   RowBox[{"-", "0.07239298428410175`"}], ",", 
   RowBox[{"-", "0.09230424484409737`"}], ",", 
   RowBox[{"-", "83.82804064058763`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.77633503225*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "funkce", " ", "\"\<vydej1\>\"", " ", "resi", " ", "situaci", " ", "se", 
     " ", "zadanym", " ", "hmotnostnim", " ", "prutokem", " ", "vzduchu", " ",
      "a", " ", "kasle", " ", "na", " ", "to"}], ",", " ", 
    RowBox[{
    "ze", " ", "je", " ", "proudeni", " ", "zpusobeno", " ", "kominovym", " ",
      "efektem", " ", "a", " ", "celkove", " ", "jde", " ", "osamovolnou", 
     " ", 
     RowBox[{"konvekci", ".", " ", "Poc"}], " ", "si", " ", "to", " ", 
     "muzeme", " ", 
     RowBox[{"dovolit", "?", " ", "Protoze"}], " ", "takle", " ", "situace", 
     " ", "je", " ", "\"\<mozna\>\"", " ", "a", " ", 
     "\"\<umeli bychom ji nastrojit (kasna etymologie, viz Jonas porok)\>\"", 
     " ", "nejakym", " ", "strojem"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"treba", " ", "izenym", " ", "ventilatorkem"}], "..."}], 
     "\[IndentingNewLine]", "Kdybychom", " ", "ridili", " ", "ventilatorek", 
     " ", "tak", " ", "ze", " ", "ma", " ", "nulovy", " ", "mechanicky", " ", 
     "prikon", " ", 
     RowBox[{"(", 
      RowBox[{"jsou", " ", "-", 
       RowBox[{
       "li", " ", "jeho", " ", "tlakove", " ", "ztraty", " ", "idealizovane", 
        " ", "nulove"}]}], ")"}], " ", "nulovy"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"mame", " ", "reseni"}], "..."}], " ", 
     RowBox[{"atd", "."}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "vydej1", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vydej1", "[", 
      RowBox[{
       RowBox[{"mSteckouA_", "?", "NumericQ"}], ",", "Tokoli_"}], "]"}], ":=", 
     RowBox[{"Quiet", "@", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "rce", ",", "sol", ",", "\[CapitalDelta]p", ",", "pW", ",", "pA", 
          ",", "TwOut", ",", "TaOut", ",", "vAin", ",", "pNekomin", ",", 
          "vAout", ",", "Rey"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"rce", "=", 
          RowBox[{"{", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
             "vlastni", " ", "diferencialni", " ", "rovnice", " ", "zustanou",
               " ", "formalne", " ", "stejne"}], ",", " ", 
             RowBox[{
             "jen", " ", "budeme", " ", "zadavat", " ", "vstupni", " ", 
              "hmotnostni", " ", "prutok", " ", "jako", " ", "zaporne", " ", 
              "cislo"}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"mSteckouW", "*", "cpW", "*", 
               RowBox[{
                RowBox[{"Tw", "'"}], "[", "x", "]"}]}]}], "\[Equal]", 
             RowBox[{"sirka", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"qr", "[", 
                 RowBox[{
                  RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"\[Alpha]Ext", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}], 
                "+", " ", 
                RowBox[{
                 FractionBox["1", "SvnejsiKuSVnitrni"], "*", 
                 RowBox[{"\[Alpha]In", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", 
                   RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", 
                   RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ")"}]}]}], ",",
             "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
              RowBox[{
               RowBox[{"Ta", "'"}], "[", "x", "]"}]}], "\[Equal]", 
             RowBox[{
              FractionBox["sirka", "SvnejsiKuSVnitrni"], "*", 
              RowBox[{"\[Alpha]In", "[", 
               RowBox[{
                RowBox[{"Tw", "[", "x", "]"}], ",", 
                RowBox[{"Ta", "[", "x", "]"}]}], "]"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Tw", "[", "x", "]"}], "-", 
                RowBox[{"Ta", "[", "x", "]"}]}], ")"}]}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Tw", "[", "0", "]"}], "==", "TinW"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"podminka", " ", "je", " ", "OK"}], ",", " ", 
              RowBox[{
              "jen", " ", "hodnota", " ", "TinW", " ", "bude", " ", "jine", 
               " ", "cislo"}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"tady", " ", 
               RowBox[{"zmena", ":", " ", 
                RowBox[{
                 RowBox[{"bylo", " ", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], "==", "Tokoli"}]}]}], 
              ",", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                 "ale", " ", "ted", " ", "zname", " ", "teplotu", " ", 
                  "vzduchu", " ", "nahore", " ", "a", " ", "ne", " ", 
                  "dole"}], "..."}], " ", "nase", " ", "x"}], "=", 
               RowBox[{
                RowBox[{
                "0", " ", "je", " ", "podle", " ", "vody", " ", "a", " ", 
                 "voda", " ", "nezmenila", " ", "vstup", " ", "a", " ", 
                 "vystup", " ", "ani", " ", "rychlost", " ", "atd"}], 
                "..."}]}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Ta", "[", "0", "]"}], "==", "Tokoli"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                 "rovnice", " ", "po", " ", "hydrostaticky", " ", "tlak", " ",
                   "nechame", " ", "stejne"}], "..."}], " ", "predtim", " ", 
                "vychazelo", " ", "\[CapitalDelta]p", " ", "kladne", " ", 
                "cislo", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"vzduch", " ", "uvnitr", " ", "lehci"}], ",", " ", 
                  RowBox[{
                  "vztlak", " ", "bereme", " ", "smerem", " ", "vzhurru", " ", 
                   RowBox[{"atd", "."}]}]}], ")"}], " ", "a", " ", "ted", " ",
                 "vyjde", " ", "zaporne", " ", "cislo"}], ",", " ", 
               RowBox[{
               "vyporadame", " ", "se", " ", "s", " ", "tim", " ", "ve", " ", 
                "funkci", " ", "vydej2", " ", "ktera", " ", "se", " ", 
                "stara", " ", "o", " ", 
                RowBox[{"proudeni", " ", ":", "-"}]}]}], ")"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "'"}], "[", "x", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"\[Rho]A", "[", 
               RowBox[{"Ta", "[", "x", "]"}], "]"}], "*", "g"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"p", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"pNekomin", "'"}], "[", "x", "]"}], "==", 
             RowBox[{"sirka", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"qr", "[", 
                 RowBox[{
                  RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"\[Alpha]Ext", "[", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], ",", "Tokoli"}], "]"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Tw", "[", "x", "]"}], "-", "Tokoli"}], ")"}]}]}], 
               ")"}]}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pNekomin", "[", "0", "]"}], "\[Equal]", "0"}]}], 
           "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"sol", "=", 
          RowBox[{
           RowBox[{"NDSolve", "[", 
            RowBox[{"rce", ",", 
             RowBox[{"{", 
              RowBox[{"Tw", ",", "Ta", ",", "p", ",", "pNekomin"}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "xmax"}], "}"}]}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[CapitalDelta]p", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"g", "*", "xmax", "*", 
             RowBox[{"\[Rho]A", "[", "Tokoli", "]"}]}], "-", 
            RowBox[{"p", "[", "xmax", "]"}]}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"pW", "=", 
          RowBox[{
           RowBox[{"mSteckouW", "*", "cpW", "*", 
            RowBox[{"(", 
             RowBox[{"TinW", "-", 
              RowBox[{"Tw", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"tady", " ", "zase", " ", "nutna", " ", "zmena"}], ",", 
           " ", 
           RowBox[{
            RowBox[{
             RowBox[{"bylo", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
               RowBox[{"(", 
                RowBox[{"Tokoli", "-", 
                 RowBox[{"Ta", "[", "0", "]"}]}], ")"}]}], "/.", "sol"}]}], 
            ";", " ", 
            RowBox[{
             RowBox[{"a", " ", "musi", " ", "byt", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "mSteckouA"}], "*", "cpA", "*", 
               RowBox[{"(", 
                RowBox[{"Tokoli", "-", 
                 RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"dalsi", " ", "zmena", " ", "je", " ", "pA"}], "=", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 StyleBox["-",
                  FontColor->RGBColor[1, 0, 0]], "mSteckouA"}], "*", "cpA", 
                "*", 
                RowBox[{"(", 
                 RowBox[{"Tokoli", "-", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", 
               RowBox[{"sol", "\[IndentingNewLine]", "na", " ", "pA"}]}], "=", 
              RowBox[{
               RowBox[{"mSteckouA", "*", "cpA", "*", 
                RowBox[{"(", 
                 RowBox[{"Tokoli", "-", 
                  RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", 
               "sol"}]}]}]}]}], "\[IndentingNewLine]", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"pA", "=", 
          RowBox[{
           RowBox[{"mSteckouA", "*", "cpA", "*", 
            RowBox[{"(", 
             RowBox[{"Tokoli", "-", 
              RowBox[{"Ta", "[", "xmax", "]"}]}], ")"}]}], "/.", "sol"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"tady", " ", "musi", " ", "byt", " ", "zmena"}], "..."}],
             " ", "out", " ", "je", " ", "ted", " ", "pro", " ", "vzduch", 
            " ", "v", " ", "souadnici", " ", "xmax", " ", "a", " ", "ne", " ",
             "0"}], " ", ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"bylo", " ", "TaOut"}], "=", 
             RowBox[{
              RowBox[{"Ta", "[", "0", "]"}], "/.", "sol"}]}], ";", " ", 
            RowBox[{
             RowBox[{"a", " ", "je", " ", "TaOut"}], "=", 
             RowBox[{
              RowBox[{"Ta", "[", "xmax", "]"}], "/.", "sol"}]}], ";"}]}], 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{"TaOut", "=", 
          RowBox[{
           RowBox[{"Ta", "[", "xmax", "]"}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"TwOut", "=", 
          RowBox[{
           RowBox[{"Tw", "[", "xmax", "]"}], "/.", "sol"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"vAin", "=", 
          FractionBox["mSteckouA", 
           RowBox[{
            RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], "*", "SkolmyVzduch"}]]}],
          ";", "\[IndentingNewLine]", 
         RowBox[{"vAout", "=", 
          FractionBox["mSteckouA", 
           RowBox[{
            RowBox[{"\[Rho]A", "[", "TaOut", "]"}], "*", "SkolmyVzduch"}]]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "rychlosti", " ", "zmenily", " ", "znamenko", " ", "u", " ", 
            "vzduchu"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"to", " ", "je", " ", "ok"}], "..."}], " ", "vzduch", 
              " ", "proudi", " ", "opacne"}], "..."}], " ", "pedtim", " ", 
            "jsem", " ", "ale", " ", "u", " ", "Reynoldsova", " ", "cisla", 
            " ", "neeuvazoval"}], ",", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
               "ze", " ", "by", " ", "rychlost", " ", "byla", " ", 
                "zaporna"}], "..."}], " ", "takze", " ", "bylo", " ", "Rey"}],
              "=", 
             FractionBox[
              RowBox[{"0.5", "*", 
               RowBox[{"(", 
                RowBox[{"vAin", "+", "vAout"}], ")"}], "*", "DcharIn"}], 
              RowBox[{"\[Nu]", "[", 
               RowBox[{"0.5", "*", 
                RowBox[{"(", 
                 RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]]}], ";"}], 
           ",", " ", 
           RowBox[{
            RowBox[{
            "ted", " ", "se", " ", "udela", " ", "absolutni", " ", 
             "hodnota"}], "..."}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"Rey", "=", 
          RowBox[{
           FractionBox[
            RowBox[{"0.5", "*", 
             RowBox[{"(", 
              RowBox[{"vAin", "+", "vAout"}], ")"}], "*", "DcharIn"}], 
            RowBox[{"\[Nu]", "[", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]], "//", 
           "Abs"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[CapitalDelta]p", ",", "Tokoli", ",", "TaOut"}], "}"}], 
           ",", "pW", ",", "pA", ",", 
           RowBox[{
            RowBox[{"pA", "+", 
             RowBox[{"pNekomin", "[", "xmax", "]"}]}], "/.", "sol"}], ",", 
           "TwOut", ",", "vAin", ",", "vAout", ",", "Rey"}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mstAirTry", "=", 
     RowBox[{"-", "0.01"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"vydej1", "[", 
    RowBox[{"mstAirTry", ",", "Tokoli"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7751940908575525`*^9, 3.775194195755411*^9}, {
   3.7751997644666023`*^9, 3.7752000628411627`*^9}, {3.775200132328938*^9, 
   3.775200196949921*^9}, {3.775200985462324*^9, 3.7752011878678856`*^9}, {
   3.775201929303141*^9, 3.7752019978183064`*^9}, {3.7752020675675535`*^9, 
   3.7752022271707277`*^9}, {3.775202277518248*^9, 3.7752022842198267`*^9}, {
   3.775202321195491*^9, 3.7752023976150446`*^9}, {3.775202439183408*^9, 
   3.775202443338683*^9}, {3.7752024958732204`*^9, 3.7752025011532307`*^9}, {
   3.7752026060660944`*^9, 3.775202611674152*^9}, {3.7752029012215796`*^9, 
   3.7752030455470285`*^9}, {3.7752030759774246`*^9, 
   3.7752031134217467`*^9}, {3.7752031665655065`*^9, 3.775203248249428*^9}, {
   3.7752032953321533`*^9, 3.7752033106097836`*^9}, {3.775203364737719*^9, 
   3.775203506423175*^9}, {3.7752035527404556`*^9, 3.7752037027989335`*^9}, {
   3.775204837657463*^9, 3.775204877366888*^9}, 3.7752061781395097`*^9, {
   3.7752063542856493`*^9, 3.7752063728282022`*^9}, {3.7752790377538958`*^9, 
   3.7752790566244693`*^9}, {3.7752798428617277`*^9, 
   3.7752798435490217`*^9}, {3.775283766976465*^9, 3.7752838739784164`*^9}, 
   3.775286871148703*^9, {3.7752874108030853`*^9, 3.7752874333134317`*^9}, {
   3.775287599055774*^9, 3.775287630892042*^9}, {3.7754776646875*^9, 
   3.77547766840625*^9}, {3.775477765921875*^9, 3.775477768671875*^9}, {
   3.77547968096875*^9, 3.775479752*^9}, {3.7754797929375*^9, 
   3.775480470734375*^9}, {3.775480618890625*^9, 3.77548065315625*^9}, {
   3.775481059390625*^9, 3.775481110125*^9}, {3.775481167828125*^9, 
   3.775481227671875*^9}, {3.775481297671875*^9, 3.775481408515625*^9}, 
   3.7754816054375*^9, {3.775481642828125*^9, 3.775481646953125*^9}, {
   3.775481752109375*^9, 3.775481840484375*^9}, {3.77548188859375*^9, 
   3.775481969890625*^9}, 3.775482096375*^9, {3.77548216565625*^9, 
   3.775482353921875*^9}, {3.7757171691875*^9, 3.77571718940625*^9}, {
   3.775717326171875*^9, 3.775717577125*^9}, {3.775717614203125*^9, 
   3.7757178720625*^9}, {3.7757180465625*^9, 3.775718081484375*^9}, {
   3.775718407453125*^9, 3.775718494703125*^9}, {3.775718539578125*^9, 
   3.775718565015625*^9}, {3.775718625375*^9, 3.775718642671875*^9}, 
   3.775719431359375*^9},
 ExpressionUUID -> "daee9a8d-72ea-4c1a-ace1-c55b4c96159b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.13225963290270926`"}], ",", "27", ",", 
     "17.743500628907086`"}], "}"}], ",", 
   RowBox[{"-", "164.86526142461292`"}], ",", 
   RowBox[{"-", "94.87911855370237`"}], ",", 
   RowBox[{"-", "164.86526142461435`"}], ",", "17.611889312097574`", ",", 
   RowBox[{"-", "0.07239298428410175`"}], ",", 
   RowBox[{"-", "0.07016041519032422`"}], ",", "93.55610605754256`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.776335071578125*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"podle", " ", 
     RowBox[{"Redr", ":", " ", 
      RowBox[{"Zaklady", " ", "tepelne", " ", "techniky"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"str", ".", " ", "409"}], " ", "a", " ", "okoli"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataZetaZuzeni", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.1", ",", "0.48"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.2", ",", "0.45"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.3", ",", "0.42"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.4", ",", "0.37"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0.32"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.6", ",", "0.26"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.7", ",", "0.2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.8", ",", "0.13"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.9", ",", "0.06"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zetaZuzeni", "=", 
     RowBox[{"Interpolation", "[", "dataZetaZuzeni", "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.775285395450227*^9, 3.775285643079608*^9}, {
  3.775286557505493*^9, 3.775286581857299*^9}},
 ExpressionUUID -> "730d2efb-d79a-4b34-ac65-3e3fc75b69eb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Redr", " ", "opet"}], ",", " ", 
    RowBox[{"ksi", "=", 
     RowBox[{"S1", "/", "S2"}]}], ",", " ", 
    RowBox[{"ksi", "\[LessEqual]", "1"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"zetaVystupMrizi", "[", "ksi_", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "ksi"], "+", 
        RowBox[{"0.707", "*", 
         FractionBox["1", "ksi"], "*", 
         SqrtBox[
          RowBox[{"1", "-", "ksi"}]]}]}], ")"}], "2"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"zetaVstupMrizi", "[", "ksi_", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1.707", "ksi"], "-", "1"}], ")"}], "2"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
      "odpovida", " ", "situaci", " ", "ze", " ", "tam", " ", "mriz", " ", 
       "nejni"}], ",", " ", 
      RowBox[{
      "tedy", " ", "vystupu", " ", "z", " ", "kanalu", " ", "a", " ", 
       "vstupu", " ", "do", " ", "kanalu", " ", "a", " ", "to", " ", "super", 
       " ", 
       RowBox[{"sedi", " ", ":", "-"}]}]}], ")"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"try", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"zetaVystupMrizi", "[", "try", "]"}], ",", 
     RowBox[{"zetaVstupMrizi", "[", "try", "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{
  3.7760590227671933`*^9, {3.776059072616152*^9, 3.7760592694484205`*^9}, {
   3.776059409398169*^9, 3.7760594183718443`*^9}, {3.776059463261168*^9, 
   3.7760595368991237`*^9}, {3.776331581015625*^9, 3.776331715171875*^9}, {
   3.7763327170625*^9, 3.77633272115625*^9}},
 ExpressionUUID -> "71cba59c-499a-4188-880f-f9a61e22dc61"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.9274171353312353`", ",", "2.069487755102041`"}], "}"}]], "Output",
 CellChangeTimes->{3.77633341684375*^9, 3.776333472640625*^9, 
  3.776333504328125*^9, 3.77633356778125*^9, 3.7763337664375*^9, 
  3.776333978921875*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"opet", " ", "Redr"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataZetaVstup", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.04", ",", "0.27"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.08", ",", "0.15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.12", ",", "0.08"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.16", ",", "0.03"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.2", ",", "0.02"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zetaVstup", "=", 
     RowBox[{"Interpolation", "[", "dataZetaVstup", "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.776057754394947*^9, {3.776057790011492*^9, 3.776057804008842*^9}, {
   3.7760580217184796`*^9, 3.7760580303441324`*^9}, {3.7760581163526974`*^9, 
   3.776058147646034*^9}, {3.7760581998158956`*^9, 3.77605824112304*^9}, {
   3.776058302382662*^9, 3.7760583024895105`*^9}, {3.776058334731295*^9, 
   3.776058367575807*^9}},
 ExpressionUUID -> "622ef58e-335d-4994-a508-99643f5024d7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"vyda", " ", "z", " ", 
    RowBox[{"{", 
     RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}], " ",
     "mSteckouA"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pomer", " ", "prurezu", " ", "vzduchu", " ", "na", " ", "vystupu", " ", 
     "a", " ", "na", " ", "vstupu"}], ",", " ", 
    RowBox[{"mrizka", " ", "zmensuje", " ", "prurez"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kSoutKuSin", "=", 
     StyleBox["0.727",
      FontColor->RGBColor[1, 0, 0]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ClearAll", "[", "vydej2", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vydej2", "[", 
      RowBox[{"{", 
       RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "rce", ",", "Rey", ",", "v", ",", "ksi", ",", "pdynIn", ",", "zeta", 
         ",", "vVyfuk", ",", "pdynVstup", ",", "pdynVystup", ",", "zetaVyfuk",
          ",", "zetaVstup", ",", "vPredVyfukem", ",", "tlakovaZtrata", ",", 
         "rychlost", ",", "mSteckou"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Rey", "=", 
         FractionBox[
          RowBox[{"0.5", "*", "v", "*", "DcharIn"}], 
          RowBox[{"\[Nu]", "[", 
           RowBox[{"0.5", "*", 
            RowBox[{"(", 
             RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ksi", "=", 
         FractionBox["64.", "Rey"]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"zetaVyfuk", "=", 
         RowBox[{"zetaVystupMrizi", "[", "kSoutKuSin", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"zetaVstup", "=", "0.5"}], ";", "\[IndentingNewLine]", 
        RowBox[{"vVyfuk", "=", 
         RowBox[{"v", "*", 
          FractionBox[
           RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], 
           RowBox[{"\[Rho]A", "[", "TaOut", "]"}]]}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"pdynVstup", "=", 
         RowBox[{"0.5", "*", 
          RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], "*", 
          SuperscriptBox["v", "2"]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"pdynVystup", "=", 
         RowBox[{"0.5", "*", 
          RowBox[{"\[Rho]A", "[", "TaOut", "]"}], "*", 
          SuperscriptBox["vVyfuk", "2"]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"pdynIn", "=", 
         RowBox[{"0.5", "*", 
          RowBox[{"\[Rho]A", "[", 
           RowBox[{"0.5", "*", 
            RowBox[{"(", 
             RowBox[{"TaOut", "+", "Tokoli"}], ")"}]}], "]"}], "*", 
          FractionBox[
           RowBox[{
            SuperscriptBox["v", "2"], "+", 
            SuperscriptBox["vVyfuk", "2"]}], "2"]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"tlakovaZtrata", "=", 
         RowBox[{
          RowBox[{"zetaVstup", "*", "pdynVstup"}], "+", 
          RowBox[{
           FractionBox["Dchar", "DcharIn"], "*", "ksi", "*", "pdynIn"}], "+", 
          RowBox[{"zetaVyfuk", "*", "pdynVystup"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rce", "=", 
         RowBox[{"tlakovaZtrata", "\[Equal]", "\[CapitalDelta]p"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rychlost", "=", 
         RowBox[{"v", "/.", 
          RowBox[{
           RowBox[{"FindRoot", "[", 
            RowBox[{"rce", ",", 
             RowBox[{"{", 
              RowBox[{"v", ",", "0.1"}], "}"}]}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mSteckou", "=", 
         RowBox[{"rychlost", "*", 
          RowBox[{"\[Rho]A", "[", "Tokoli", "]"}], "*", 
          "SkolmyVzduch"}]}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"vydej2", "[", 
    RowBox[{"{", 
     RowBox[{"0.6", ",", "20", ",", "46"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7752790937876244`*^9, 3.7752791430104403`*^9}, {
   3.7752792474858723`*^9, 3.775279249813487*^9}, {3.7752796936779647`*^9, 
   3.775279744681641*^9}, {3.775279818242462*^9, 3.775279867293444*^9}, {
   3.775279911111313*^9, 3.775279941354211*^9}, {3.7752839037408743`*^9, 
   3.7752839077691164`*^9}, {3.775283946737893*^9, 3.7752840941735086`*^9}, {
   3.775284481980337*^9, 3.775284575880128*^9}, 3.7752856512183213`*^9, {
   3.77528569028724*^9, 3.77528597536092*^9}, 3.7752860258021994`*^9, {
   3.7752860808986692`*^9, 3.7752861173432136`*^9}, {3.7752861753139796`*^9, 
   3.7752862370963507`*^9}, {3.7752862689638467`*^9, 3.775286532995593*^9}, {
   3.775286596150803*^9, 3.7752866821774516`*^9}, {3.7752867806855927`*^9, 
   3.775286806148342*^9}, {3.775286892721794*^9, 3.775286897970558*^9}, {
   3.775542624460416*^9, 3.7755426247703414`*^9}, 3.77633196853125*^9, {
   3.776332030484375*^9, 3.77633206034375*^9}, 3.776332127515625*^9, {
   3.7763321785625*^9, 3.776332205375*^9}, {3.776332278125*^9, 
   3.7763322884375*^9}, {3.776332559359375*^9, 3.776332583*^9}, 
   3.77633356465625*^9, 3.776333759078125*^9},
 ExpressionUUID -> "6e1aaed9-1d03-47f9-ba60-fd875d6810cf"],

Cell[BoxData["0.038672565727821615`"], "Output",
 CellChangeTimes->{3.776333416921875*^9, 3.776333472671875*^9, 
  3.776333504375*^9, 3.7763335678125*^9, 3.776333766453125*^9, 
  3.7763339789375*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"tady", " ", "uzavreme", " ", "kruh"}], ",", " ", 
    RowBox[{
    "z", " ", "mSteckou", " ", "si", " ", "spocteme", " ", "tlak", " ", "a", 
     " ", "vystupni", " ", "teplotu", " ", "a", " ", "z", " ", "toho", " ", 
     "pak", " ", "zase", " ", "mSteckou", " ", "a", " ", "kdyz", " ", 
     "takhle", " ", "budeme", " ", "iterovat"}], ",", " ", 
    RowBox[{"mame", " ", "reseni"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dpTokoliTaOut", "[", "mSteckou_", "]"}], ":=", 
    RowBox[{
     RowBox[{"vydej1", "[", 
      RowBox[{"mSteckou", ",", "Tokoli"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"msteckou", "[", 
      RowBox[{"dpTokoliTaOut", ":", 
       RowBox[{"{", 
        RowBox[{"\[CapitalDelta]p_", ",", "Tokoli_", ",", "TaOut_"}], "}"}]}],
       "]"}], ":=", 
     RowBox[{"vydej2", "[", "dpTokoliTaOut", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dohr", "[", "mSteckou_", "]"}], ":=", 
     RowBox[{"msteckou", "[", 
      RowBox[{"dpTokoliTaOut", "[", "mSteckou", "]"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.775287275178718*^9, 3.7752873882302876`*^9}, {
   3.7752874500907664`*^9, 3.7752874593229675`*^9}, 3.775287656964061*^9, {
   3.775287704031127*^9, 3.7752877613301773`*^9}, {3.775287794619235*^9, 
   3.775287823581152*^9}, {3.7752878648995733`*^9, 3.775287949770296*^9}, {
   3.775287990916882*^9, 3.775287994400444*^9}, {3.7752880366092587`*^9, 
   3.7752881070614877`*^9}, {3.776330796953125*^9, 3.77633079959375*^9}, 
   3.776330845140625*^9, {3.77633275075*^9, 3.776332752078125*^9}, 
   3.776333192515625*^9},
 ExpressionUUID -> "085cc4c9-5018-456d-ae32-8db03768c343"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Quiet", " ", "davam", " ", "tady", " ", "potoze", " ", "kdybych", " ", 
     "ho", " ", "dal", " ", "do", " ", "vydej1", " ", "nebo", " ", "tak"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "tak", " ", "nepoznam", " ", "jestli", " ", "vadi", " ", "vysledna", 
       " ", "iterace"}], "..."}], " ", "takhle", " ", "ano"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"iterace", "=", 
   RowBox[{"Quiet", "@", 
    RowBox[{"NestList", "[", 
     RowBox[{"dohr", ",", "0.020227", ",", "2"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7752879608458242`*^9, 3.7752879734209895`*^9}, {
   3.775288112872588*^9, 3.7752881146065903`*^9}, 3.77633084965625*^9, {
   3.77633089671875*^9, 3.776330942*^9}, 3.77633238825*^9, 
   3.77633296740625*^9, {3.7763330334375*^9, 3.776333050234375*^9}, 
   3.7763331558125*^9, 3.776333199640625*^9, 3.77633329725*^9, 
   3.77633333309375*^9, 3.77633338440625*^9},
 ExpressionUUID -> "bd73a957-41d8-404b-9692-07ea503b6ec5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.020227`", ",", "0.02033081265962102`", ",", "0.020280653302859775`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.776333419171875*^9, 3.776333474921875*^9, 
  3.776333506625*^9, 3.776333570078125*^9, 3.776333768703125*^9, 
  3.7763339811875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mSteckouVysledek", "=", 
   RowBox[{"Last", "[", "iterace", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<{{\[CapitalDelta]p,Tokoli,TaOut},pW,pA,pA+pNekomin[xmax]/.sol,TwOut,\
vAin,vAout,Rey}=\>\"", ",", 
   RowBox[{"vydej1", "[", 
    RowBox[{"mSteckouVysledek", ",", "Tokoli"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.775288119839703*^9, 3.775288197758939*^9}, 
   3.776332984015625*^9, 3.776333276203125*^9},
 ExpressionUUID -> "95af097a-5330-41fd-8727-95844e564421"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"{{\[CapitalDelta]p,Tokoli,TaOut},pW,pA,pA+pNekomin[xmax]/.sol,\
TwOut,vAin,vAout,Rey}=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.2662753830944622`", ",", "20", ",", "45.711695244630796`"}], 
      "}"}], ",", "1062.0508907834326`", ",", "534.4862265122741`", ",", 
     "798.2685854887593`", ",", "44.587736364868306`", ",", 
     "0.14339366722944202`", ",", "0.15597048548567063`", ",", 
     "184.28823210354054`"}], "}"}]}],
  SequenceForm[
  "{{\[CapitalDelta]p,Tokoli,TaOut},pW,pA,pA+pNekomin[xmax]/.sol,TwOut,vAin,\
vAout,Rey}=", {{0.2662753830944622, 20, 45.711695244630796`}, 
    1062.0508907834326`, 534.4862265122741, 798.2685854887593, 
    44.587736364868306`, 0.14339366722944202`, 0.15597048548567063`, 
    184.28823210354054`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.77633342028125*^9, 3.776333476015625*^9, 
  3.776333507703125*^9, 3.776333571234375*^9, 3.7763337698125*^9, 
  3.77633398228125*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "Prepocitat", " ", "na", " ", "obycejny", " ", "vypocet", " ", "s", " ", 
      "kS"}], "..."}], " ", "po", " ", 
    RowBox[{"clanek", " ", ":", "-"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.776334022109375*^9, 3.776334049140625*^9}}]
},
WindowSize->{1068, 776},
WindowMargins->{{7, Automatic}, {Automatic, 7}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 389, 10, 98, "Input"],
Cell[CellGroupData[{
Cell[971, 34, 4529, 114, 567, "Input"],
Cell[5503, 150, 222, 3, 42, "Output"]
}, Open  ]],
Cell[5740, 156, 1384, 36, 233, "Input"],
Cell[7127, 194, 1464, 37, 154, "Input"],
Cell[CellGroupData[{
Cell[8616, 235, 153, 3, 43, "Input"],
Cell[8772, 240, 408, 12, 42, "Output"]
}, Open  ]],
Cell[9195, 255, 989, 24, 179, "Input"],
Cell[10187, 281, 419, 10, 71, "Input"],
Cell[10609, 293, 518, 13, 98, "Input"],
Cell[CellGroupData[{
Cell[11152, 310, 120, 2, 43, "Input"],
Cell[11275, 314, 353, 6, 68, "Output"]
}, Open  ]],
Cell[11643, 323, 1978, 46, 287, "Input"],
Cell[CellGroupData[{
Cell[13646, 373, 8724, 205, 1058, "Input"],
Cell[22373, 580, 509, 12, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22919, 597, 17752, 398, 2044, "Input"],
Cell[40674, 997, 523, 13, 68, "Output"]
}, Open  ]],
Cell[41212, 1013, 1523, 44, 125, "Input"],
Cell[CellGroupData[{
Cell[42760, 1061, 1922, 53, 324, "Input"],
Cell[44685, 1116, 262, 5, 42, "Output"]
}, Open  ]],
Cell[44962, 1124, 1229, 32, 152, "Input"],
Cell[CellGroupData[{
Cell[46216, 1160, 5297, 118, 848, "Input"],
Cell[51516, 1280, 199, 3, 63, "Output"]
}, Open  ]],
Cell[51730, 1286, 1828, 41, 228, "Input"],
Cell[CellGroupData[{
Cell[53583, 1331, 1055, 24, 147, "Input"],
Cell[54641, 1357, 289, 7, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54967, 1369, 552, 12, 147, "Input"],
Cell[55522, 1383, 1031, 21, 124, "Print"]
}, Open  ]],
Cell[56568, 1407, 330, 9, 64, "Input"]
}
]
*)

